Name:           newlisp
Version:        10.3.5
Release:        3%{?dist}
Summary:        Lisp-like general purpose scripting

License:        GPLv3+
URL:            http://www.newlisp.org
Source0:        http://www.newlisp.org/downloads/%{name}-%{version}.tgz
Patch0:         %{name}-0002-Allow-to-override-CFLAGS.patch
Patch1:         %{name}-0003-Don-t-strip-the-resulting-binary.patch
BuildRequires:  readline-devel  
       

%description
Lisp-like general purpose scripting language. %{name} is well suited for 
applications in AI, web search. It also can be used for embedded systems
applications.

%prep
%setup -q
%patch0 -p1 -b .CFLAGS-override
%patch1 -p1 -b .stop-binary-strip


%build
%configure
CFLAGS="%{optflags} -c -DREADLINE -DSUPPORT_UTF8 -DLINUX" make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install_home HOME=%{buildroot}/usr/


%files
%doc %{_datadir}/doc/*
%doc %{_datadir}/%{name}/init.lsp.example
%{_bindir}/%{name}
%{_bindir}/newlispdoc
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/util/httpd-conf.lsp
%{_datadir}/%{name}/util/link.lsp
%{_datadir}/%{name}/util/nanorc
%{_datadir}/%{name}/util/%{name}.vim
%attr(0755,-,-) %{_datadir}/%{name}/util/syntax.cgi


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 08 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.5-2
- Fixed %%files listing

* Tue Oct 08 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.5-1
- Updated version

* Thu Sep 22 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.3-3
- Re-added patches, didn't think they were no longer needed

* Thu Sep 22 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.3-2
- Removed patches

* Thu Sep 22 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.3-1
- Updated version
- Updated email address

* Sun Jul 24 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-3
- Updated License field to the correct license

* Sun Jul 24 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-2
- Added fixed Man page from SCM 

* Thu Jul 21 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-1
- Initial package
